import GridData from '../../../grid.js';
import Z3SolverContext from '../z3SolverContext.js';
export default abstract class Z3Module {
    abstract get id(): string;
    abstract encode<Name extends string>(grid: GridData, ctx: Z3SolverContext<Name>): void;
}
export declare const instance: undefined;
